cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.get_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().getTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.GetTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().GetTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"checklist": {
"id": "<string>",
"name": "<string>"
}
}
}Tasks
Retrieve a checklist item
Retrieves one checklist item of a task.
GET
/
tasks
/
{task_id}
/
checklist
/
{task_checklist_uuid}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.get_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().getTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.GetTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.getTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().GetTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"checklist": {
"id": "<string>",
"name": "<string>"
}
}
}Returns
work_task holding only checklist, which here is the single checklist item as an object rather than an array.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The task's id, which starts with wt_.
The checklist item's id.
Response
200 - application/json
The checklist item, under work_task.checklist.
Show child attributes
Show child attributes